Get headline detail
GET
/topics/{id}
Retrieve detailed information for a specific topic
Authorizations
ApiKeyAuth
API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx
Type
API Key (header: X-CP-TERMINAL-API-KEY)
Parameters
Path Parameters
id*
Topic ID
Type
Requiredinteger
Example
1Query Parameters
lang
Language code
Type
string
Valid values
"en""ja""zh"Example
"en"Default
"en"Responses
Successful response
application/json
JSON "code": 0, "message": "ok", "data": { "id": 1, "lang": "en", "category": "0", "published_at": "2026-01-01T10:00:00Z", "subtitle": "Bitcoin hits new high", "summary": "crypto market analysis", "terms_concepts": [ { "term": "Bull Market", "definition": "A market condition where prices are rising" } ], "title": "Bitcoin hits new high", "cover_img": "https://example.com/cover.jpg", "url": "https://coinpost.ai/topics/1" }
{
}
